diff -purN u-boot-0.4.4/net/bootp.c u-boot-0.4.4-3/net/bootp.c
--- u-boot-0.4.4/net/bootp.c	Fri Jun 27 16:32:48 2003
+++ u-boot-0.4.4-3/net/bootp.c	Tue Jul 29 18:23:44 2003
@@ -117,10 +117,11 @@ static int BootpCheckPkt(uchar *pkt, uns
 static void BootpCopyNetParams(Bootp_t *bp)
 {
 	NetCopyIP(&NetOurIP, &bp->bp_yiaddr);
+#ifndef	DHCP_IP_ADDR_ONLY 
 	NetCopyIP(&NetServerIP, &bp->bp_siaddr);
 	memcpy (NetServerEther, ((Ethernet_t *)NetRxPkt)->et_src, 6);
 	copy_filename (BootFile, bp->bp_file, sizeof(BootFile));
-
+#endif
 	debug ("Bootfile: %s\n", BootFile);
 
 	/* Propagate to environment:
diff -purN u-boot-0.4.4/net/net.c u-boot-0.4.4-3/net/net.c
--- u-boot-0.4.4/net/net.c	Fri Jun 27 16:32:48 2003
+++ u-boot-0.4.4-3/net/net.c	Tue Jul 29 18:23:16 2003
@@ -330,7 +330,11 @@ restart:
 		case DHCP:
 			/* Start with a clean slate... */
 			NetOurIP = 0;
+#ifndef DHCP_IP_ADDR_ONLY	/*If I control the dhcp server, let it pass me this info  */
 			NetServerIP = 0;
+#else				/* else I don't control the dhcp server, use my default */
+			NetServerIP = getenv_IPaddr ("serverip");
+#endif
 			DhcpRequest();		/* Basically same as BOOTP */
 			break;
 #endif /* CFG_CMD_DHCP */
